package com.ruoyi.task;

import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.member.service.IMemberRightsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时任务调度
 * 
 * @author ruoyi
 */
@Component("dlTask")
public class DlTask{
    @Autowired
    private IMemberRightsService memberRightsService;

    public void resetDay(){
        System.out.println("执行权益-每天定时任务");
        memberRightsService.reset("day");
    }

    public void resetMonth(){
        System.out.println("执行权益-每月定时任务");
        memberRightsService.reset("month");
    }
}
